#include "tycho.h"

MapView::MapView(Project *parent) :
	IMapView(parent),
	m_mapModel(parent->mapModel())
{
	setMinimumSize(320, 240);

	dbgPrintFunc();
}

MapView::~MapView()
{
	dbgPrintFunc();
}

void MapView::paintEvent(QPaintEvent *)
{
	[[maybe_unused]] QPainter painter{this};
}

// TODO: move to paint.cc
extern "C" {
	void paint_point(QPainter *view, int x, int y)
	{
		view->drawPoint(x, y);
	}
}

// EOF
